%define upstream_name    Test-File-ShareDir
%define upstream_version 0.3.3

Name:       perl-%{upstream_name}
Version:    %perl_convert_version %{upstream_version}
Release:    %mkrel 2

Summary:    Internal Object to make code simpler
License:    GPL+ or Artistic
Group:      Development/Perl
Url:        http://search.cpan.org/dist/%{upstream_name}
Source0:    http://www.cpan.org/modules/by-module/Test/%{upstream_name}-%{upstream_version}.tar.gz

BuildRequires: perl(Carp)
BuildRequires: perl(Cwd)
BuildRequires: perl(File::Copy::Recursive)
BuildRequires: perl(File::Find)
BuildRequires: perl(File::ShareDir) >= 1.0.0
BuildRequires: perl(File::Temp)
BuildRequires: perl(FindBin)
BuildRequires: perl(Module::Build) >= 0.400.400
BuildRequires: perl(Path::Tiny)
BuildRequires: perl(Test::Fatal)
BuildRequires: perl(Test::More) >= 0.980.0
BuildRequires: perl(strict)
BuildRequires: perl(warnings)
BuildArch:  noarch

%description
This module only has support for creating 'new' style share dirs and are
NOT compatible with old File::ShareDirs.

For this reason, unless you have File::ShareDir 1.00 or later installed,
this module will not be usable by you.

%prep
%setup -q -n %{upstream_name}-%{upstream_version}

%build
%{__perl} Build.PL installdirs=vendor

./Build

%check
./Build test

%install
./Build install destdir=%{buildroot}

%files
%doc Changes LICENSE META.json META.yml MYMETA.yml README
%{_mandir}/man3/*
%perl_vendorlib/*

%changelog
* Sat Oct 19 2013 umeabot <umeabot> 0.3.3-2.mga4
+ Revision: 527349
- Mageia 4 Mass Rebuild

* Fri Jun 07 2013 jquelin <jquelin> 0.3.3-1.mga4
+ Revision: 439947
- update to 0.3.3

* Sun Jan 13 2013 umeabot <umeabot> 0.3.1-2.mga3
+ Revision: 373527
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Sat Nov 05 2011 kharec <kharec> 0.3.1-1.mga2
+ Revision: 163510
- update to 0.3.1

  + jquelin <jquelin>
    - adding missing buildrequires:
    - imported package perl-Test-File-ShareDir


* Fri Aug 26 2011 cpan2dist 0.3.0-1mga
- initial mageia release, generated with cpan2dist
